import { Input, Card, Select, Button, message } from "antd"
import { useEffect, useState } from 'react'
import { Form } from "antd";
import { history } from 'umi';
import ProCard from '@ant-design/pro-card'

const { Option } = Select
const goBack = () => {
  history.goBack()
}
const FormItem = Form.Item
export default (props) => {

  const [form] = Form.useForm()
  const [loading, setLoading] = useState(false)

  const formItemLayout = {
    //布局
    labelCol: { span: 6 },
    wrapperCol: { span: 14 },
  };

  const Submit = values => {
    console.log("🚀 ~ file: index.jsx ~ line 21 ~ values", values)

  };

  return (
    <Card >
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="资讯管理">
          <Form {...formItemLayout} onFinish={Submit} form={form} >
            <FormItem label="资讯分类" name="user" rules={[{ required: true, message: '请选择' }]}>
              <Select
                placeholder="请选择"
                // onChange={onGenderChange}
                allowClear
                style={{ width: '350px' }}
              >
                <Option value="nongji">一分类</Option>
                <Option value="nonghu">二分类</Option>
              </Select>
            </FormItem>
            <FormItem label="资讯名称" name="shopName" rules={[{ required: true, message: '请输入' }]}>
              <Input placeholder="请输入" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label="资讯内容" name="shaopName" rules={[{ required: true, message: '请输入' }]}>
              <Input placeholder="请输入" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label="发布状态" name="usser" rules={[{ required: true, message: '请选择' }]}>
              <Select
                placeholder="请选择"
                // onChange={onGenderChange}
                allowClear
                style={{ width: '350px' }}
              >
                <Option value="nongji">发布</Option>
                <Option value="nonghu">未发布</Option>
              </Select>
            </FormItem>
            <FormItem label=" " colon={false} >
              <Button type='default' onClick={() => goBack()} >返回</Button>
              <Button type='primary' loading={loading} htmlType="Submit" style={{ marginLeft: '4em' }}>保存</Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  )
}
