import React from 'react';
import { history, Link } from 'umi';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const columns = [
    {
      title: '农机名',
      dataIndex: 'machineryName',
      key: 'machineryName',
    },
    {
      title: '农机型号',
      dataIndex: 'type',
      key: 'type',
    },
    {
      title: '操作',
      valueType: 'option',
      width: '300px',
      render: (_, record) => [
        <Link key={2} to={`./detail.jsx`}>
          查看轨迹
        </Link>,
      ],
    },
    // 农机列表点击进入详情页 下面是轨迹上面是时间
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="machineryId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
